NXOpen .NET Reference  12.0.0
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.BasePart Class Reference

Base class for an NX part. More...

Inheritance diagram for NXOpen.BasePart:
NXOpen.NXObject NXOpen.INXObject NXOpen.CAE.CaePart NXOpen.Part NXOpen.CAE.BaseFemPart NXOpen.CAE.SimPart NXOpen.CAE.AssyFemPart NXOpen.CAE.FemPart

Classes

struct  _HistoryEventInformation
 Contains part history event information
 
struct  HistoryEventInformation
 Contains part history event information More...
 
struct  IncompleteStatus
 Incomplete part return data More...
 
struct  TransientStatus
 Transient part return data More...
 

Public Types

enum  BookmarkOption {
  All, ComponentGroupsLoadOptions, ComponentGroupsOnly, AllPlusDisplay,
  ComponentGroupsLoadOptionsPlusDisplay, ComponentGroupsOnlyPlusDisplay, DisplayOnly, Empty
}
 Controls the information written to a bookmark file. More...
 
enum  Units { Inches, Millimeters }
 The units of the part file. More...
 
enum  SaveComponents { False, True }
 Used to specify whether a part's components should be saved (if modified) when the part is saved. More...
 
enum  CloseAfterSave { False, True }
 Used to specify whether a part should be closed after it is saved. More...
 
enum  CloseWholeTree { False, True }
 Used to specify whether or not to close a part's components during a close operation. More...
 
enum  CloseModified { UseResponses, CloseModified, DontCloseModified }
 Indicates how part close should handle component parts when they are modified More...
 
enum  CollaborativeContentType {
  Workset, Subset, ShapeDesignElement, OverridePart,
  NotAssigned
}
 Represents the collaborative content type corresponding to this part More...
 
enum  PartPreview { None, OnSave, OnDemand }
 Specifies the preview mode of the part file. More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe NXOpen.PartSaveStatus Save (NXOpen.BasePart.SaveComponents saveComponentParts, NXOpen.BasePart.CloseAfterSave close)
 Saves the part whether it is modified or not. More...
 
unsafe NXOpen.PartSaveStatus SaveAs (string newFileName)
 Creates copy of target part. More...
 
unsafe void AssignPermanentName (string newFileName)
 Saves a temporary part with the given name. More...
 
unsafe NXOpen.BasePart Reopen (NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses, out NXOpen.PartReopenReport reopenReport)
 Reopens a loaded part. More...
 
unsafe NXOpen.BasePart ReopenAs (string fileName, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses, out NXOpen.PartReopenReport reopenReport)
 Reopens a loaded part. More...
 
unsafe void Close (NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.BasePart.CloseModified closeModified, NXOpen.PartCloseResponses responses)
 Closes an open part. More...
 
unsafe NXOpen.PartLoadStatus LoadFully ()
 Ensures that this part is fully loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadThisPartFully ()
 Ensures that this part is fully loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadThisPartPartially ()
 Ensures that this part is at least partially loaded. More...
 
unsafe NXOpen.PartLoadStatus LoadFeatureDataForSelection ()
 Ensure that feature data is loaded for a part. More...
 
unsafe void ReverseBlankAll ()
 Reverse blank all the objects in the part. More...
 
unsafe
NXOpen.BasePart.HistoryEventInformation[] 
GetHistoryInformation ()
 Get history of part More...
 
unsafe void GetPreviewImage (out int width, out int height, out int[] pixels)
 Get the preview image This will return the graphic preview image of the part (when available). More...
 
unsafe void RemoveTransience ()
 Remove the transient status from the input part More...
 
unsafe void ReinstateTransience ()
 Reinstate the transient status to the formerly transient input part More...
 
unsafe
NXOpen.BasePart.TransientStatus 
GetTransientStatus ()
 Inquire whether the provided part is flagged as being transient More...
 
unsafe
NXOpen.BasePart.IncompleteStatus 
GetIncompleteStatus ()
 Inquire whether the provided part is flagged as being incomplete More...
 
unsafe void CompleteStructure ()
 Make additions necessary to complete the incomplete assembly structure of the input part More...
 
unsafe void SaveBookmark (string fileName, NXOpen.BasePart.BookmarkOption option)
 Saves a bookmark file. More...
 
unsafe
NXOpen.Display.DynamicSectionBuilder 
CreateDynamicSectionBuilder (bool loadFromView)
 Creates a NXOpen.Display.DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown. More...
 
unsafe NXOpen.GroupBuilder CreateGatewayGroupBuilder (NXOpen.Group group)
 Creates a Groups builder More...
 
unsafe
NXOpen.Display.PerspectiveOptionsBuilder 
CreatePerspectiveOptionsBuilder ()
 Creates a builder for the Perspective Options dialog More...
 
unsafe
NXOpen.Display.FacetSettingsBuilder 
CreateFacetSettingsBuilder ()
 Creates a builder for the Facet Settings dialog More...
 
unsafe void RegenerateDisplayFacets (bool regenerateChildren)
 Regenerates display specific transient cached facets in the part. More...
 
unsafe void RegenerateDisplayFacets (bool deleteSavedDisplayFacets, bool regenerateChildren)
 Regenerates display specific cached facets in the part. More...
 
unsafe NXOpen.ReferenceSet CreateReferenceSet ()
 Creates a NXOpen.ReferenceSet object More...
 
unsafe void DeleteReferenceSet (NXOpen.ReferenceSet referenceSetObject)
 Deletes a NXOpen.ReferenceSet object More...
 
unsafe NXOpen.ReferenceSet[] GetAllReferenceSets ()
 Get all the NXOpen.ReferenceSet objects in this part. More...
 
unsafe string GetMakeUniqueName ()
 Gets the Unique name on a part for the Make Unique operation More...
 
unsafe void SetMakeUniqueName (string newUniqueName)
 Sets the unique name on part for the Make Unique operation More...
 
unsafe
NXOpen.EffectivityConditionBuilder 
CreateEffectivityConditionBuilder (NXOpen.CollaborativeDesign cd, string effectivityFormula)
 Creates a NXOpen.EffectivityConditionBuilder More...
 
unsafe
NXOpen.EffectivityConditionBuilder 
CreateEffectivityConditionBuilder (NXOpen.CollaborativeDesign cd, string validationBasisFormula, string effectivityFormula)
 Creates a NXOpen.EffectivityConditionBuilder with initializing validation basis formula More...
 
unsafe
NXOpen.BasePart.CollaborativeContentType 
GetCollaborativeContentType ()
 The collaborative content type of this part. More...
 
unsafe bool CanBeDisplayPart ()
 Returns true if the part can be displayed and false if not displayed. More...
 
unsafe void Undisplay ()
 Undisplays the part, if it is currently a displayed part. More...
 
unsafe void GetArrangements (out NXOpen.Assemblies.Arrangement[] arrangements)
 Outputs the NXOpen.Assemblies.Arrangement objects within the given part. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 

Properties

NXOpen.Display.CgfxAttrCollection CgfxAttrs [get]
 Returns the Display. More...
 
NXOpen.Display.CgfxMattexCollection CgfxMattex [get]
 Returns the Display. More...
 
NXOpen.WCS WCS [get]
 Returns the WCS instance belonging to this part More...
 
NXOpen.ArcCollection Arcs [get]
 Returns the ArcCollection instance belonging to this part More...
 
NXOpen.ParabolaCollection Parabolas [get]
 Returns the ParabolaCollection instance belonging to this part More...
 
NXOpen.GeometricAnalysis.AnalysisManager AnalysisManager [get]
 Returns the GeometricAnalysisManager for part More...
 
NXOpen.MeasureManager MeasureManager [get]
 Returns the measure manager for this part More...
 
NXOpen.Layer.LayerManager Layers [get]
 Returns the LayerManager for this part More...
 
NXOpen.XformCollection Xforms [get]
 Returns the XformCollection instance belonging to this part More...
 
NXOpen.OffsetCollection Offsets [get]
 Returns the OffsetCollection instance belonging to this part More...
 
NXOpen.PlaneCollection Planes [get]
 Return a collection of Planes More...
 
NXOpen.HyperbolaCollection Hyperbolas [get]
 Returns the HyperbolaCollection instance belonging to this part More...
 
NXOpen.CurveCollection Curves [get]
 Returns the CurveCollection instance belonging to this part More...
 
NXOpen.PointCollection Points [get]
 Returns the PointCollection instance belonging to this part More...
 
NXOpen.EllipseCollection Ellipses [get]
 Returns the EllipseCollection instance belonging to this part More...
 
NXOpen.LineCollection Lines [get]
 Returns the LineCollection instance belonging to this part More...
 
NXOpen.InfiniteLineCollection InfiniteLines [get]
 Returns the InfiniteLineCollection instance belonging to this part More...
 
NXOpen.SplineCollection Splines [get]
 Returns the SplineCollection instance belonging to this part More...
 
NXOpen.PolylineCollection Polylines [get]
 Returns the PolylineCollection instance belonging to this part More...
 
NXOpen.NXMatrixCollection NXMatrices [get]
 Returns the NXMatrixCollection instance belonging to this part More...
 
NXOpen.ScalarCollection Scalars [get]
 Returns the ScalarCollection instance belonging to this part More...
 
NXOpen.FontCollection Fonts [get]
 Returns the FontCollection instance belonging to this part More...
 
NXOpen.DatumCollection Datums [get]
 Returns the DatumCollection instance belonging to this part More...
 
NXOpen.ViewCollection Views [get]
 Returns the ViewCollection instance belonging to this part More...
 
NXOpen.ExpressionGroupCollection ExpressionGroups [get]
 Returns the ExpressionCollection instance belonging to this part More...
 
NXOpen.ExpressionCollection Expressions [get]
 Returns the ExpressionCollection instance belonging to this part More...
 
NXOpen.UnitCollection UnitCollection [get]
 Returns a collection of Units More...
 
NXOpen.DirectionCollection Directions [get]
 Returns the DirectionCollection instance belonging to this part More...
 
NXOpen.ModelingViewCollection ModelingViews [get]
 Returns the ModelingViewCollection instance belonging to this part More...
 
NXOpen.Layer.CategoryCollection LayerCategories [get]
 Returns a collection of layer categories More...
 
NXOpen.RuleManager RuleManager [get]
 Returns the rule manager for this part More...
 
NXOpen.Preferences.PartPreferences Preferences [get]
 Returns the PartPreferences instance belonging to this part More...
 
NXOpen.AxisCollection Axes [get]
 Returns the AxisCollection instance belonging to this part More...
 
NXOpen.LightCollection Lights [get]
 Returns the LightCollection instance belonging to this part More...
 
NXOpen.SectionCollection Sections [get]
 Returns the SectionCollection instance belonging to this part More...
 
NXOpen.ScCollectorCollection ScCollectors [get]
 Returns the ScCollectorCollection instance belonging to this part More...
 
NXOpen.CoordinateSystemCollection CoordinateSystems [get]
 Returns the CoordinateSystemCollection instance belonging to this part More...
 
NXOpen.LayoutCollection Layouts [get]
 Returns the LayoutCollection instance belonging to this part More...
 
NXOpen.PDM.PdmPart PDMPart [get]
 Returns the instance of the PDM. More...
 
NXOpen.Display.CameraCollection Cameras [get]
 Returns the Display. More...
 
NXOpen.Display.DynamicSectionCollection DynamicSections [get]
 Returns the Display. More...
 
NXOpen.Display.DecalCollection Decals [get]
 Returns the Display. More...
 
NXOpen.UserDefinedObjects.UserDefinedObjectManager UserDefinedObjectManager [get]
 Returns the NXOpen.UserDefinedObjects.UserDefinedObjectManager belonging to this session More...
 
NXOpen.CAE.FunctionCollection Functions [get]
 Returns the CAE. More...
 
NXOpen.CAE.ViewLayoutManager CaeViewLayoutManager [get]
 Returns the CAE. More...
 
NXOpen.Display.SelPrefCollection SelPref [get]
 Returns the Display. More...
 
NXOpen.PlotManager PlotManager [get]
 Returns the PlotManager instance belonging to this part More...
 
NXOpen.PropertiesManager PropertiesManager [get]
 Returns the PropertiesManager instance belonging to this part More...
 
NXOpen.Features.BaseFeatureCollection BaseFeatures [get]
 Returns the FeatureCollection instance belonging to this part More...
 
NXOpen.Features.FeatureCollection Features [get]
 Returns the FeatureCollection instance belonging to this part More...
 
NXOpen.ColorManager Colors [get]
 Manages the standard NX colors More...
 
NXOpen.Optimization.OptimizationCollection Optimization [get]
 Returns the optimization instance belonging to this part More...
 
NXOpen.MaterialManager MaterialManager [get]
 Returns the Material Manager belonging to this Part More...
 
NXOpen.Optimization.DesignStudyCollection DesignStudy [get]
 Returns the design study instance belonging to this part More...
 
NXOpen.PartSaveOptions SaveOptions [get]
 Returns the PartSaveOptions instance belonging to this part More...
 
NXOpen.ValidationCollection Validations [get]
 Returns the validation for this part More...
 
NXOpen.Assemblies.ProductOutlineManager Assemblies [get]
 Returns the NXOpen.Assemblies.ProductOutlineManager belonging to this session More...
 
NXOpen.Assemblies.AssemblyManager AssemblyManager [get]
 Returns the NXOpen.Assemblies.AssemblyManager belonging to this session More...
 
NXOpen.Display.TrueShadingCollection SHEDObjs [get]
 Returns the Display. More...
 
NXOpen.Display.TrueStudioCollection TrueStudioObjs [get]
 Returns the Display. More...
 
NXOpen.Display.GridCollection Grids [get]
 Returns the Display. More...
 
NXOpen.Gateway.ImageCaptureManager ImageCaptureManager [get]
 Returns the Gateway. More...
 
NXOpen.CAM.CAMFeatureCollection CAMFeatures [get]
 Returns the CAMFeatureCollection instance belonging to this part More...
 
NXOpen.Validate.RequirementCheckCollection RequirementChecks [get]
 Returns the RequirementCheckCollection instance belonging to this part More...
 
NXOpen.Validate.RequirementCollection Requirements [get]
 Returns the RequirementCollection instance belonging to this part More...
 
NXOpen.Display.ImageCollection Images [get]
 Returns the Display. More...
 
NXOpen.Display.ImageDataCollection ImagesData [get]
 Returns the Display. More...
 
NXOpen.Drawings.ConvertToPMIBuilderManager ConvertToPMIBuilderManager [get]
 Returns the Drawings. More...
 
NXOpen.Display.PointCloudCollection PointClouds [get]
 Returns the Display. More...
 
NXOpen.Annotations.AnnotationManager Annotations [get]
 Returns the PMI Annotation Manager for part More...
 
unsafe
NXOpen.Assemblies.ComponentAssembly 
ComponentAssembly [get]
 Returns the component assembly. More...
 
unsafe bool Displayed [get]
 Returns true if the part represents a displayed part. More...
 
unsafe NXOpen.Fields.FieldManager FieldManager [get]
 Returns the field main. More...
 
unsafe string FullPath [get]
 Returns the full path of the part. More...
 
unsafe bool HasWriteAccess [get]
 Returns the write-access status of a part independent of the load state. More...
 
unsafe bool IsFullyLoaded [get]
 Returns the load status of a part. More...
 
unsafe bool IsReadOnly [get]
 Returns the read-only status of a part. More...
 
unsafe string Leaf [get]
 Returns the leaf name of the part. More...
 
unsafe NXOpen.BasePart.PartPreview PartPreviewMode [get, set]
 Returns or sets the preview mode More...
 
unsafe NXOpen.BasePart.Units PartUnits [get]
 Returns the units of the part file. More...
 
unsafe bool SaveDisplayFacets [get, set]
 Returns or sets whether display quality facets are saved in the part file More...
 
unsafe string UniqueIdentifier [get, set]
 Returns or sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Detailed Description

Base class for an NX part.

Use the NXOpen.PartCollection class to load or create a part. Use NXOpen.PartCollection.Work to obtain the current work part.

Created in NX4.0.0

Member Enumeration Documentation

Controls the information written to a bookmark file.

In batch mode, the options: BasePart.BookmarkOption.AllPlusDisplay BasePart.BookmarkOption.ComponentGroupsLoadOptionsPlusDisplay BasePart.BookmarkOption.ComponentGroupsOnlyPlusDisplay BasePart.BookmarkOption.DisplayOnly are not supported. They will be treated as if the option specfied were: BasePart.BookmarkOption.All BasePart.BookmarkOption.ComponentGroupsLoadOptions BasePart.BookmarkOption.ComponentGroupsOnly BasePart.BookmarkOption.Empty respectively.

Enumerator
All 

Write component groups, load options and structure.

ComponentGroupsLoadOptions 

Write component groups and load options.

ComponentGroupsOnly 

Write component groups only.

AllPlusDisplay 

Write component groups, load options, structure and display attributes

ComponentGroupsLoadOptionsPlusDisplay 

Write component groups, load options and display attributes

ComponentGroupsOnlyPlusDisplay 

Write component groups and display attributes

DisplayOnly 

Write only display attributes

Empty 

Write nothing but header information

Used to specify whether a part should be closed after it is saved.

Enumerator
False 
True 

Indicates how part close should handle component parts when they are modified

Enumerator
UseResponses 

Use the responses in NXOpen.PartCloseResponses to determine whether to close a modified part or not

CloseModified 

Close all modified parts

DontCloseModified 

Do not close any modified parts

Used to specify whether or not to close a part's components during a close operation.

Enumerator
False 
True 

Represents the collaborative content type corresponding to this part

Enumerator
Workset 

Workset

Subset 

Subset

ShapeDesignElement 

Shape Design Part in a Workset

OverridePart 

Override Part

NotAssigned 

Non-collaborative content such as items

Specifies the preview mode of the part file.

Enumerator
None 

No preview image is stored for the part.

OnSave 

Create a preview image when the part is saved.

OnDemand 

Create a preview image on demand.

Used to specify whether a part's components should be saved (if modified) when the part is saved.

Enumerator
False 
True 

The units of the part file.

Enumerator
Inches 
Millimeters 

Member Function Documentation

unsafe void NXOpen.BasePart.AssignPermanentName ( string  newFileName)

Saves a temporary part with the given name.

Created in NX5.0.0

License requirements: None.

Parameters
newFileNamename of new part file to create
unsafe bool NXOpen.BasePart.CanBeDisplayPart ( )

Returns true if the part can be displayed and false if not displayed.

See also NXOpen.PartCollection.SetActiveDisplay .

Created in NX10.0.0

License requirements: None.

Returns
unsafe void NXOpen.BasePart.Close ( NXOpen.BasePart.CloseWholeTree  wholeTree,
NXOpen.BasePart.CloseModified  closeModified,
NXOpen.PartCloseResponses  responses 
)

Closes an open part.

Created in NX4.0.0

License requirements: None.

Parameters
wholeTreeIf true, unloads all components of the part. If false, unloads only the top-level part
closeModifiedBehavior of close if component parts are modified.
responsesClass representing list of parts to close or leave open if modified. Only used if closed_modified is set to NXOpen.BasePart.CloseModified.UseResponses . If NXOpen.BasePart.CloseModified.UseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See NXOpen.PartCloseResponses for how to add responses to this class.
unsafe void NXOpen.BasePart.CompleteStructure ( )

Make additions necessary to complete the incomplete assembly structure of the input part

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.Display.DynamicSectionBuilder NXOpen.BasePart.CreateDynamicSectionBuilder ( bool  loadFromView)

Creates a NXOpen.Display.DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown.

By default, the section builder uses the current work view. The current work view must be a modeling view, otherwise an exception will be thrown.

Created in NX5.0.0

Deprecated in NX6.0.0. Use NXOpen.BasePart.DynamicSections instead.

License requirements: None.

Parameters
loadFromViewIf true, reads section information from working view. Otherwise, default section is created.
Returns
unsafe NXOpen.EffectivityConditionBuilder NXOpen.BasePart.CreateEffectivityConditionBuilder ( NXOpen.CollaborativeDesign  cd,
string  effectivityFormula 
)

Creates a NXOpen.EffectivityConditionBuilder

Created in NX8.5.0

License requirements: None.

Parameters
cd
effectivityFormula
Returns
unsafe NXOpen.EffectivityConditionBuilder NXOpen.BasePart.CreateEffectivityConditionBuilder ( NXOpen.CollaborativeDesign  cd,
string  validationBasisFormula,
string  effectivityFormula 
)

Creates a NXOpen.EffectivityConditionBuilder with initializing validation basis formula

Created in NX9.0.0

License requirements: None.

Parameters
cd
validationBasisFormula
effectivityFormula
Returns
unsafe NXOpen.Display.FacetSettingsBuilder NXOpen.BasePart.CreateFacetSettingsBuilder ( )

Creates a builder for the Facet Settings dialog

Created in NX8.0.0

License requirements: None.

Returns
unsafe NXOpen.GroupBuilder NXOpen.BasePart.CreateGatewayGroupBuilder ( NXOpen.Group  group)

Creates a Groups builder

Created in NX5.0.0

License requirements: None.

Parameters
group
Returns
GroupBuilder object
unsafe NXOpen.Display.PerspectiveOptionsBuilder NXOpen.BasePart.CreatePerspectiveOptionsBuilder ( )

Creates a builder for the Perspective Options dialog

Created in NX8.0.0

License requirements: None.

Returns
unsafe NXOpen.ReferenceSet NXOpen.BasePart.CreateReferenceSet ( )

Creates a NXOpen.ReferenceSet object

Created in NX6.0.0

License requirements: None.

Returns
New reference set object
unsafe void NXOpen.BasePart.DeleteReferenceSet ( NXOpen.ReferenceSet  referenceSetObject)

Deletes a NXOpen.ReferenceSet object

Created in NX6.0.0

License requirements: None.

Parameters
referenceSetObjectReference set object to be deleted
unsafe NXOpen.ReferenceSet [] NXOpen.BasePart.GetAllReferenceSets ( )

Get all the NXOpen.ReferenceSet objects in this part.

Does not include the default reference sets Empty and Entire Part.

Created in NX7.5.0

License requirements: None.

Returns
unsafe void NXOpen.BasePart.GetArrangements ( out NXOpen.Assemblies.Arrangement[]  arrangements)

Outputs the NXOpen.Assemblies.Arrangement objects within the given part.

They are output in alphabetic order.

Created in NX12.0.0

License requirements: None.

Parameters
arrangementsAlphabetically sorted arrangements
unsafe NXOpen.BasePart.CollaborativeContentType NXOpen.BasePart.GetCollaborativeContentType ( )

The collaborative content type of this part.

It will return NXOpen.BasePart.CollaborativeContentType.NotAssigned for the part that does not represent any collaborative content.

Created in NX8.5.0

License requirements: None.

Returns
unsafe NXOpen.BasePart.HistoryEventInformation [] NXOpen.BasePart.GetHistoryInformation ( )

Get history of part

Created in NX4.0.0

License requirements: None.

Returns
list of history data for the part. The list is sorted in descending order on version number.
unsafe NXOpen.BasePart.IncompleteStatus NXOpen.BasePart.GetIncompleteStatus ( )

Inquire whether the provided part is flagged as being incomplete

Created in NX4.0.0

License requirements: None.

Returns
unsafe string NXOpen.BasePart.GetMakeUniqueName ( )

Gets the Unique name on a part for the Make Unique operation

Created in NX8.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Returns
unsafe void NXOpen.BasePart.GetPreviewImage ( out int  width,
out int  height,
out int[]  pixels 
)

Get the preview image This will return the graphic preview image of the part (when available).

The call returns the image width and height and a single array of integer RGB pixels. The total number of pixels is width * height. Each 32 bit integer pixel contains 8 bit values for the red, green and blue color components and the alpha channel is not used and set to 255. The byte order corresponds to the .NET method System.Drawing.Color.FromArgb, so the order is ARGB. For Java the byte order and data corresponds to the BufferedImage type TYPE_INT_RGB. The pixels at an xy location can be found as (y*width+x) where x is from 0 to width-1, and y indexes from 0 to height-1. The RGB pixels can be loaded into an appropriate image tool such as the Java BufferedImage class for display.

Note: this will return the modeling preview image only.

Created in NX5.0.2

License requirements: None.

Parameters
widthimage width
heightimage height
pixelsArray of pixels
unsafe NXOpen.BasePart.TransientStatus NXOpen.BasePart.GetTransientStatus ( )

Inquire whether the provided part is flagged as being transient

Created in NX4.0.0

License requirements: None.

Returns
unsafe NXOpen.PartLoadStatus NXOpen.BasePart.LoadFeatureDataForSelection ( )

Ensure that feature data is loaded for a part.

Created in NX6.0.1

License requirements: None.

Returns
If the part could not be loaded, this object contains the error information.
unsafe NXOpen.PartLoadStatus NXOpen.BasePart.LoadFully ( )

Ensures that this part is fully loaded.

If the part is already fully loaded (NXOpen.BasePart.IsFullyLoaded returns true) then this method has no effect.

Created in NX5.0.0

License requirements: None.

Returns
If the part could not be loaded, this object contains the error information.
unsafe NXOpen.PartLoadStatus NXOpen.BasePart.LoadThisPartFully ( )

Ensures that this part is fully loaded.

If the part is already fully loaded (NXOpen.BasePart.IsFullyLoaded returns true) then this method has no effect. Does not load any components regardless of the current load option.

Created in NX5.0.0

License requirements: None.

Returns
If the part could not be loaded, this object contains the error information.
unsafe NXOpen.PartLoadStatus NXOpen.BasePart.LoadThisPartPartially ( )

Ensures that this part is at least partially loaded.

This only has an effect on minimally loaded parts, so if the part is already at least partially loaded then this method has no effect. Does not load any components regardless of the current load option.

Created in NX12.0.0

License requirements: None.

Returns
If the part could not be loaded, this object contains the error information.
unsafe void NXOpen.BasePart.RegenerateDisplayFacets ( bool  regenerateChildren)

Regenerates display specific transient cached facets in the part.

This does not change display facets that are saved in the part file.

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.BasePart.RegenerateDisplayFacets overload instead.

License requirements: None.

Parameters
regenerateChildrenShould the children of this part have their cached display facets regenerated also
unsafe void NXOpen.BasePart.RegenerateDisplayFacets ( bool  deleteSavedDisplayFacets,
bool  regenerateChildren 
)

Regenerates display specific cached facets in the part.

Display facets that are currently saved in the part can be deleted along with the transient display facets. Transient display facets are held in memory for reuse. Deleting saved display facets will mark the part as modified.

Created in NX11.0.0

License requirements: None.

Parameters
deleteSavedDisplayFacetsIndicates if saved display facets should be deleted
regenerateChildrenIndicates if the children of this part have their cached display facets regenerated
unsafe void NXOpen.BasePart.ReinstateTransience ( )

Reinstate the transient status to the formerly transient input part

Created in NX4.0.0

License requirements: None.

unsafe void NXOpen.BasePart.RemoveTransience ( )

Remove the transient status from the input part

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.BasePart NXOpen.BasePart.Reopen ( NXOpen.BasePart.CloseWholeTree  wholeTree,
NXOpen.BasePart.CloseModified  closeModified,
NXOpen.PartCloseResponses  responses,
out NXOpen.PartReopenReport  reopenReport 
)

Reopens a loaded part.

Created in NX4.0.0

License requirements: None.

Parameters
wholeTreeIf true, unloads all components of the part. If false, unloads only the top-level part
closeModifiedBehavior of close if component parts are modified.
responsesClass representing list of parts to close or leave open if modified. Only used if closed_modified is set to NXOpen.BasePart.CloseModified.UseResponses . If NXOpen.BasePart.CloseModified.UseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See NXOpen.PartCloseResponses for how to add responses to this class.
Returns
The reloaded part
Parameters
reopenReportReport containing results of reopen command
unsafe NXOpen.BasePart NXOpen.BasePart.ReopenAs ( string  fileName,
NXOpen.BasePart.CloseModified  closeModified,
NXOpen.PartCloseResponses  responses,
out NXOpen.PartReopenReport  reopenReport 
)

Reopens a loaded part.

Created in NX4.0.0

License requirements: None.

Parameters
fileNamename of part file to open
closeModifiedBehavior of close if component parts are modified.
responsesClass representing list of parts to close or leave open if modified. Only used if closed_modified is set to NXOpen.BasePart.CloseModified.UseResponses . If NXOpen.BasePart.CloseModified.UseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See NXOpen.PartCloseResponses for how to add responses to this class.
Returns
The reloaded part
Parameters
reopenReportReport containing results of reopen command
unsafe void NXOpen.BasePart.ReverseBlankAll ( )

Reverse blank all the objects in the part.

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.PartSaveStatus NXOpen.BasePart.Save ( NXOpen.BasePart.SaveComponents  saveComponentParts,
NXOpen.BasePart.CloseAfterSave  close 
)

Saves the part whether it is modified or not.

Created in NX4.0.0

License requirements: None.

Parameters
saveComponentPartsThe part's components are saved if modified if this parameter is set to NXOpen.BasePart.SaveComponents.True .
closeThe part is closed if this parameter is set to NXOpen.BasePart.CloseAfterSave.True .
Returns
Parts that could not be saved and their associated errors.
unsafe NXOpen.PartSaveStatus NXOpen.BasePart.SaveAs ( string  newFileName)

Creates copy of target part.

Note for using this in managed environment: This is deprecated in NX10 for "Save As of master parts" operation. This API should only be used in case of Save As Non Master parts and Save As New Item Type Operations. In managed environment, for Save As of master parts, use NXOpen.PDM.PartOperationCopyBuilder . This API will not support Save As if there are duplicate item ids in database.

Created in NX4.0.0

License requirements: None.

Parameters
newFileNamename of new part file to create
Returns
Parts that could could not saved and their associated errors.
unsafe void NXOpen.BasePart.SaveBookmark ( string  fileName,
NXOpen.BasePart.BookmarkOption  option 
)

Saves a bookmark file.

Created in NX4.0.0

License requirements: None.

Parameters
fileNameName of bookmark file.
optionSee definitions of NXOpen.BasePart.BookmarkOption
unsafe void NXOpen.BasePart.SetMakeUniqueName ( string  newUniqueName)

Sets the unique name on part for the Make Unique operation

Created in NX8.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
newUniqueName
unsafe void NXOpen.BasePart.Undisplay ( )

Undisplays the part, if it is currently a displayed part.

This method does nothing if the part is not a displayed part. The part file will not be closed. See also NXOpen.PartCollection.SetActiveDisplay .

Created in NX12.0.0

License requirements: None.

Property Documentation

NXOpen.GeometricAnalysis.AnalysisManager NXOpen.BasePart.AnalysisManager
get

Returns the GeometricAnalysisManager for part

Created in NX5.0.0

NXOpen.Annotations.AnnotationManager NXOpen.BasePart.Annotations
get

Returns the PMI Annotation Manager for part

Created in NX12.0.0

NXOpen.ArcCollection NXOpen.BasePart.Arcs
get

Returns the ArcCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Assemblies.ProductOutlineManager NXOpen.BasePart.Assemblies
get

Returns the NXOpen.Assemblies.ProductOutlineManager belonging to this session

Created in NX6.0.0

NXOpen.Assemblies.AssemblyManager NXOpen.BasePart.AssemblyManager
get

Returns the NXOpen.Assemblies.AssemblyManager belonging to this session

Created in NX6.0.0

NXOpen.AxisCollection NXOpen.BasePart.Axes
get

Returns the AxisCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Features.BaseFeatureCollection NXOpen.BasePart.BaseFeatures
get

Returns the FeatureCollection instance belonging to this part

Created in NX3.0.0

NXOpen.CAE.ViewLayoutManager NXOpen.BasePart.CaeViewLayoutManager
get

Returns the CAE.

ViewLayoutManager in the session

Created in NX12.0.0

NXOpen.Display.CameraCollection NXOpen.BasePart.Cameras
get

Returns the Display.

CameraCollection instance belonging to this part

Created in NX3.0.0

NXOpen.CAM.CAMFeatureCollection NXOpen.BasePart.CAMFeatures
get

Returns the CAMFeatureCollection instance belonging to this part

Created in NX7.5.0

NXOpen.Display.CgfxAttrCollection NXOpen.BasePart.CgfxAttrs
get

Returns the Display.

CgfxAttrCollection instance belonging to this part

Created in NX5.0.6

NXOpen.Display.CgfxMattexCollection NXOpen.BasePart.CgfxMattex
get

Returns the Display.

CgfxMattexCollection instance belonging to this part

Created in NX5.0.6

NXOpen.ColorManager NXOpen.BasePart.Colors
get

Manages the standard NX colors

Created in NX3.0.0

unsafe NXOpen.Assemblies.ComponentAssembly NXOpen.BasePart.ComponentAssembly
get

Returns the component assembly.

Created in NX3.0.0

License requirements: None.

NXOpen.Drawings.ConvertToPMIBuilderManager NXOpen.BasePart.ConvertToPMIBuilderManager
get

Returns the Drawings.

BuilderManager belonging to this part

Created in NX11.0.0

NXOpen.CoordinateSystemCollection NXOpen.BasePart.CoordinateSystems
get

Returns the CoordinateSystemCollection instance belonging to this part

Created in NX3.0.0

NXOpen.CurveCollection NXOpen.BasePart.Curves
get

Returns the CurveCollection instance belonging to this part

Created in NX3.0.0

NXOpen.DatumCollection NXOpen.BasePart.Datums
get

Returns the DatumCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Display.DecalCollection NXOpen.BasePart.Decals
get

Returns the Display.

DecalCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Optimization.DesignStudyCollection NXOpen.BasePart.DesignStudy
get

Returns the design study instance belonging to this part

Created in NX3.0.0

NXOpen.DirectionCollection NXOpen.BasePart.Directions
get

Returns the DirectionCollection instance belonging to this part

Created in NX3.0.0

unsafe bool NXOpen.BasePart.Displayed
get

Returns true if the part represents a displayed part.

Created in NX12.0.0

License requirements: None.

NXOpen.Display.DynamicSectionCollection NXOpen.BasePart.DynamicSections
get

Returns the Display.

DynamicSectionCollection instance belonging to this part

Created in NX6.0.0

NXOpen.EllipseCollection NXOpen.BasePart.Ellipses
get

Returns the EllipseCollection instance belonging to this part

Created in NX3.0.0

NXOpen.ExpressionGroupCollection NXOpen.BasePart.ExpressionGroups
get

Returns the ExpressionCollection instance belonging to this part

Created in NX10.0.0

NXOpen.ExpressionCollection NXOpen.BasePart.Expressions
get

Returns the ExpressionCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Features.FeatureCollection NXOpen.BasePart.Features
get

Returns the FeatureCollection instance belonging to this part

Created in NX3.0.0

unsafe NXOpen.Fields.FieldManager NXOpen.BasePart.FieldManager
get

Returns the field main.

Created in NX4.0.0

License requirements: None.

NXOpen.FontCollection NXOpen.BasePart.Fonts
get

Returns the FontCollection instance belonging to this part

Created in NX3.0.0

unsafe string NXOpen.BasePart.FullPath
get

Returns the full path of the part.

When called in a managed environment, this will give the same value as NXOpen.BasePart.Leaf .

Created in NX3.0.0

License requirements: None.

NXOpen.CAE.FunctionCollection NXOpen.BasePart.Functions
get

Returns the CAE.

FunctionCollection for this part

Created in NX5.0.0

NXOpen.Display.GridCollection NXOpen.BasePart.Grids
get

Returns the Display.

GridCollection instance belonging to this part

Created in NX6.0.0

unsafe bool NXOpen.BasePart.HasWriteAccess
get

Returns the write-access status of a part independent of the load state.

Set to true if current user has write access on the part, otherwise set to false.

Created in NX11.0.0

License requirements: None.

NXOpen.HyperbolaCollection NXOpen.BasePart.Hyperbolas
get

Returns the HyperbolaCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Gateway.ImageCaptureManager NXOpen.BasePart.ImageCaptureManager
get

Returns the Gateway.

ImageCaptureManager instance belonging to this part

Created in NX7.5.0

NXOpen.Display.ImageCollection NXOpen.BasePart.Images
get

Returns the Display.

ImageCollection instance belonging to this part

Created in NX9.0.0

NXOpen.Display.ImageDataCollection NXOpen.BasePart.ImagesData
get

Returns the Display.

ImageDataCollection instance belonging to this part

Created in NX9.0.0

NXOpen.InfiniteLineCollection NXOpen.BasePart.InfiniteLines
get

Returns the InfiniteLineCollection instance belonging to this part

Created in NX7.5.0

unsafe bool NXOpen.BasePart.IsFullyLoaded
get

Returns the load status of a part.

Set to true if part is fully loaded and set to false if the part is partially loaded.

Created in NX3.0.0

License requirements: None.

unsafe bool NXOpen.BasePart.IsReadOnly
get

Returns the read-only status of a part.

Set to true if part is read-only and set to false if the part is modifiable.

Created in NX5.0.2

License requirements: None.

NXOpen.Layer.CategoryCollection NXOpen.BasePart.LayerCategories
get

Returns a collection of layer categories

Created in NX3.0.0

NXOpen.Layer.LayerManager NXOpen.BasePart.Layers
get

Returns the LayerManager for this part

Created in NX3.0.0

NXOpen.LayoutCollection NXOpen.BasePart.Layouts
get

Returns the LayoutCollection instance belonging to this part

Created in NX3.0.0

unsafe string NXOpen.BasePart.Leaf
get

Returns the leaf name of the part.

When called in a managed environment, this will give the Item ID and Revision (prior to NX8.5 this method only returned the Item ID).

Created in NX3.0.0

License requirements: None.

NXOpen.LightCollection NXOpen.BasePart.Lights
get

Returns the LightCollection instance belonging to this part

Created in NX3.0.0

NXOpen.LineCollection NXOpen.BasePart.Lines
get

Returns the LineCollection instance belonging to this part

Created in NX3.0.0

NXOpen.MaterialManager NXOpen.BasePart.MaterialManager
get

Returns the Material Manager belonging to this Part

Created in NX3.0.0

NXOpen.MeasureManager NXOpen.BasePart.MeasureManager
get

Returns the measure manager for this part

Created in NX3.0.0

NXOpen.ModelingViewCollection NXOpen.BasePart.ModelingViews
get

Returns the ModelingViewCollection instance belonging to this part

Created in NX3.0.0

NXOpen.NXMatrixCollection NXOpen.BasePart.NXMatrices
get

Returns the NXMatrixCollection instance belonging to this part

Created in NX3.0.0

NXOpen.OffsetCollection NXOpen.BasePart.Offsets
get

Returns the OffsetCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Optimization.OptimizationCollection NXOpen.BasePart.Optimization
get

Returns the optimization instance belonging to this part

Created in NX3.0.0

NXOpen.ParabolaCollection NXOpen.BasePart.Parabolas
get

Returns the ParabolaCollection instance belonging to this part

Created in NX3.0.0

unsafe NXOpen.BasePart.PartPreview NXOpen.BasePart.PartPreviewMode
getset

Returns or sets the preview mode

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.BasePart.Units NXOpen.BasePart.PartUnits
get

Returns the units of the part file.

Created in NX3.0.0

License requirements: None.

NXOpen.PDM.PdmPart NXOpen.BasePart.PDMPart
get

Returns the instance of the PDM.

PdmPart class

Created in NX3.0.0

NXOpen.PlaneCollection NXOpen.BasePart.Planes
get

Return a collection of Planes

Created in NX3.0.0

NXOpen.PlotManager NXOpen.BasePart.PlotManager
get

Returns the PlotManager instance belonging to this part

Created in NX3.0.0

NXOpen.Display.PointCloudCollection NXOpen.BasePart.PointClouds
get

Returns the Display.

PointCloudCollection instance belonging to this part

Created in NX11.0.0

NXOpen.PointCollection NXOpen.BasePart.Points
get

Returns the PointCollection instance belonging to this part

Created in NX3.0.0

NXOpen.PolylineCollection NXOpen.BasePart.Polylines
get

Returns the PolylineCollection instance belonging to this part

Created in NX10.0.0

NXOpen.Preferences.PartPreferences NXOpen.BasePart.Preferences
get

Returns the PartPreferences instance belonging to this part

Created in NX3.0.0

NXOpen.PropertiesManager NXOpen.BasePart.PropertiesManager
get

Returns the PropertiesManager instance belonging to this part

Created in NX8.0.0

NXOpen.Validate.RequirementCheckCollection NXOpen.BasePart.RequirementChecks
get

Returns the RequirementCheckCollection instance belonging to this part

Created in NX8.5.0

NXOpen.Validate.RequirementCollection NXOpen.BasePart.Requirements
get

Returns the RequirementCollection instance belonging to this part

Created in NX8.5.0

NXOpen.RuleManager NXOpen.BasePart.RuleManager
get

Returns the rule manager for this part

Created in NX3.0.0

unsafe bool NXOpen.BasePart.SaveDisplayFacets
getset

Returns or sets whether display quality facets are saved in the part file

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

NXOpen.PartSaveOptions NXOpen.BasePart.SaveOptions
get

Returns the PartSaveOptions instance belonging to this part

Created in NX3.0.0

NXOpen.ScalarCollection NXOpen.BasePart.Scalars
get

Returns the ScalarCollection instance belonging to this part

Created in NX3.0.0

NXOpen.ScCollectorCollection NXOpen.BasePart.ScCollectors
get

Returns the ScCollectorCollection instance belonging to this part

Created in NX3.0.0

NXOpen.SectionCollection NXOpen.BasePart.Sections
get

Returns the SectionCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Display.SelPrefCollection NXOpen.BasePart.SelPref
get

Returns the Display.

SelPrefCollection instance belonging to this part

Created in NX3.0.0

NXOpen.Display.TrueShadingCollection NXOpen.BasePart.SHEDObjs
get

Returns the Display.

TrueShadingCollection instance belonging to this part

Created in NX3.0.0

NXOpen.SplineCollection NXOpen.BasePart.Splines
get

Returns the SplineCollection instance belonging to this part

Created in NX5.0.0

NXOpen.Display.TrueStudioCollection NXOpen.BasePart.TrueStudioObjs
get

Returns the Display.

TrueStudioCollection instance belonging to this part

Created in NX8.0.0

unsafe string NXOpen.BasePart.UniqueIdentifier
getset

Returns or sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open.

When set if the input value is the empty string a new unqiue uid is allocated for the part otherwise the supplied uid is used.

Created in NX6.0.5

License requirements to get this property: None.

License requirements to set this property: None.

NXOpen.UnitCollection NXOpen.BasePart.UnitCollection
get

Returns a collection of Units

Created in NX3.0.0

NXOpen.UserDefinedObjects.UserDefinedObjectManager NXOpen.BasePart.UserDefinedObjectManager
get

Returns the NXOpen.UserDefinedObjects.UserDefinedObjectManager belonging to this session

Created in NX3.0.0

NXOpen.ValidationCollection NXOpen.BasePart.Validations
get

Returns the validation for this part

Created in NX3.0.0

NXOpen.ViewCollection NXOpen.BasePart.Views
get

Returns the ViewCollection instance belonging to this part

Created in NX3.0.0

NXOpen.WCS NXOpen.BasePart.WCS
get

Returns the WCS instance belonging to this part

Created in NX3.0.0

NXOpen.XformCollection NXOpen.BasePart.Xforms
get

Returns the XformCollection instance belonging to this part

Created in NX3.0.0


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.